dim4 Class Reference

- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Public Member Functions | Data Fields
dim4 Class Reference

`#include <dim4.hpp>`

## Public Member Functions
| dim4 ()
| dim4 (dim_t first, dim_t second=1, dim_t third=1, dim_t fourth=1)
| dim4 (const dim4 &other)
| dim4 (const unsigned ndims, const dim_t *const dims)
dim_t | elements ()
dim_t | elements () const
dim_t | ndims ()
dim_t | ndims () const
bool | operator== (const dim4 &other) const
bool | operator!= (const dim4 &other) const
dim4 & | operator*= (const dim4 &other)
dim4 & | operator+= (const dim4 &other)
dim4 & | operator-= (const dim4 &other)
dim_t & | operator[] (const unsigned dim)
const dim_t & | operator[] (const unsigned dim) const
dim_t * | get ()
const dim_t * | get () const

## Data Fields
dim_t | dims [4]

## Detailed Description

Examples:
  computer_vision/matching.cpp, financial/black_scholes_options.cpp, image_processing/brain_segmentation.cpp, image_processing/morphing.cpp, image_processing/optical_flow.cpp, machine_learning/rbm.cpp, and unified/basic.cpp.

## Constructor & Destructor Documentation

dim4 | ( |  | ) |

dim4 | ( | dim_t | first,
|  | dim_t | second = `1`,
|  | dim_t | third = `1`,
|  | dim_t | fourth = `1`
| ) |  |

dim4 | ( | const dim4 & | other | ) |

dim4 | ( | const unsigned | ndims,
|  | const dim_t *const | dims
| ) |  |

## Member Function Documentation

dim_t elements | ( |  | ) |

dim_t elements | ( |  | ) | const

dim_t* get | ( |  | ) |
| inline

const dim_t* get | ( |  | ) | const
| inline

dim_t ndims | ( |  | ) |

dim_t ndims | ( |  | ) | const

bool operator!= | ( | const dim4 & | other | ) | const

dim4& operator*= | ( | const dim4 & | other | ) |

dim4& operator+= | ( | const dim4 & | other | ) |

dim4& operator-= | ( | const dim4 & | other | ) |

bool operator== | ( | const dim4 & | other | ) | const

dim_t& operator[] | ( | const unsigned | dim | ) |

const dim_t& operator[] | ( | const unsigned | dim | ) | const

## Field Documentation

dim_t dims[4]

Examples:
  machine_learning/rbm.cpp.

The documentation for this class was generated from the following file:

- dim4.hpp